using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Drawing.Drawing2D;

namespace Lib
{
    public partial class LinearGradentEditorForm : Form
    {
        LinearGradientBrush _brush = null;
        Color[] _colors = new Color[] { Color.White, Color.White };

        public LinearGradentEditorForm() {
            InitializeComponent();
           
        }

        public LinearGradentEditorForm(LinearGradientBrush brush) {
            InitializeComponent();
            _brush = brush;
            try {
                color1Label.BackColor = _brush.LinearColors[0];
                color2Label.BackColor = _brush.LinearColors[1];
            }
            catch { }
        }
        
        private void color1Button_Click(object sender, EventArgs e) {
            colorDialog1.Color = color1Label.BackColor;
            colorDialog1.ShowDialog();
            _colors[0] = colorDialog1.Color;
            color1Label.BackColor = colorDialog1.Color;
        }

        private void color2Button_Click(object sender, EventArgs e) {
            colorDialog1.Color = color2Label.BackColor;
            colorDialog1.ShowDialog();
            color2Label.BackColor = colorDialog1.Color;
            _colors[1] = colorDialog1.Color;
        }

        private void okButton_Click(object sender, EventArgs e) {
            this.DialogResult = DialogResult.OK;
            _brush.LinearColors = _colors;            
            this.Close();
        }
    }
}