using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Data;
using System.Text;
using System.Windows.Forms;
using System.ComponentModel.Design.Serialization;
using System.Drawing.Design;

namespace Lib
{
    public class MyButton : Button
    {
        MyWraper _brush;

        public MyButton() {
            _brush = new MyWraper(this);            
        }

        [Browsable(true)]
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Content)]
        public MyWraper GradientBrush {
            get { return _brush; }
            set { _brush = value; }
        }

        protected override void OnPaint(PaintEventArgs pevent) {
            pevent.Graphics.FillRectangle(GradientBrush.Brush, this.ClientRectangle);
        }
    }
}
