using System;
using System.Drawing.Drawing2D;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using System.ComponentModel;
using System.ComponentModel.Design.Serialization;
using System.Drawing.Design;

namespace Lib
{
    [DesignerSerializer(typeof(LinearGradientDesignerSerializer), typeof(CodeDomSerializer))]
    [Editor(typeof(LinearGradentUIEditor), typeof(UITypeEditor))]
    public class MyWraper
    {
        LinearGradientBrush _brush = null;
        MyButton _parent;

        internal MyWraper(MyButton parent) {
            _parent = parent;
            _brush = new LinearGradientBrush(new Point(0, 0), new Point(100, 100), Color.Coral, Color.White);           
        }

        public LinearGradientBrush Brush {
            get {
                return _brush;
            }
        }

        internal MyButton Parent {
            get { return _parent; }
        }
    }
}
